Description

Supportanfrage:

Beim bauen der Examples ist mir einiges aufgefallen, was verbessert werden könnte:

ADTFQTMacros.cmake

CMAKE_PREFIX_PATH sollte durch QT_DIR oder ADTF_QT_DIR oder ähnliches ersetzt werden.

Rationale: CMake-gui versteckt den Eintrag defaultmäßig und der Name sollte gleich klar machen, dass es sich um QT handelt.

Examples projekt:

AEV_ENABLE_EXAMPLES_INSTALLATION, sollte durch ADTF_ENABLE_EXAMPLES_INSTALLATION ersetzt werden

ADTF_ENABLE_QT sollte als cache variable angelegt werden oder ganz entfernt werden, da die Variable eh nur bei den

Qt-Filtern geprüft wird

SDLMAIN_LIBRARY sollte durch SDL_MAIN_LIBRARY ersetzt werden

CMAKE_INSTALL_PREFIX sollte defaultmäßig auf ADTF_DIR gesetzt werden und nicht auf C:/Program Files/adtf_examples

Zum SDL Demo: Hier finde ich etwas unglücklich dass der Pfad zum SDL.dll abhängig vom SDL_INCLUDE_DIR angegeben wird,

dass passt nicht bei jeder Installation. Vielleicht kann man hier auch besser mit einer Cache Variablen wie unter Linux arbeiten.

install(FILES ${SDL_INCLUDE_DIR}/../lib/SDL.dll DESTINATION src/examples/bin/debug CONFIGURATIONS Debug)

Generell sollte irgendwo auch die Info zur verwendeten SDL-Version erscheinen, lediglich das build_examples.bat liefert dazu eine

Info.

Verbesserungsvorschlage für die Dokumentation:

Die generellen Infos zum CMake Build System sollten aus dem Abschnitt "A_UTILS Library" in den Abschnitt "The ADTF CMake

Environment" wandern. Auch sollte die Versionsinformation für CMake von 3.1.0 auf 3.5.2 geändert werden.

Best regards - Beste Grüße

Jochen Messner

EB Assist ADTF Support-Team

Lösung:

Zu dem Verbesserungsvorschlägen wurde ein Produktticket angelegt:

http://km-aev.in.audi.vwg/redmine/issues/39587

History

#1 - 2017-04-07 12:42 - hidden

- Project changed from Public Support to 7

- Topic set to ADTF::Doc

- Customer set to ELEKTROBIT

- Department set to SUPPORT
- Affected Products ADTF 3.0.0 added

- Platform Ubuntu 16.04 64bit, Windows 7 64bit added

#2 - 2017-04-10 14:59 - hidden

- Status changed from New to Customer Feedback Required

- Resolution set to Product Issue Opened

- Product Issue Numbers set to http://km-aev.in.audi.vwg/redmine/issues/39587

Hallo Jochen,

ich habe zu deinen Verbesserungsvorschlägen ein Produktticket angelegt:

http://km-aev.in.audi.vwg/redmine/issues/39587

Damit sollte dieses Support Ticket abgeschlossen sein.

Bitte um kurze Rückmeldung, damit wir es schließen können.

#3 - 2017-04-10 16:30 - hidden

Hallo Stephan,

passt! das Ticket kannst Du dann schließen (auf die Audi Tickets hab ich keinen Zugriff).

Gruss,

Jochen

#4 - 2017-04-11 10:00 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

@Florian, Ticket kann geschlossen werden.

#5 - 2017-04-12 14:59 - hidden

- Subject changed from ADTFS-46508 ADTF 3.0.0: Verbesserungsvorschläge für das CMake Environment to ADTFS-46508 Improve documentaion

regarding CMake Environment

- Status changed from To Be Closed to Closed

#9 - 2018-01-25 12:12 - hidden

- Project changed from 7 to Public Support

#10 - 2018-01-25 12:15 - hidden

- Private changed from Yes to No
